Core - Bug # 38729

Task # 38755 (Accepted): Usability issues collected on the UX sprint

Status: New Priority: Must have
Author: Helmut Hummel Category: Backend User Interface
Created: 2012-07-07 Assigned To: Steffen Ritter
Updated: 2015-01-13 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Make use of jQuery also for the action icons

Description

Currently when you click on an action button the click event is propaganated to the parent container which makes the irre element
collapse or expand.

The action icons need to be refactored to not use onclick=""handlers but real jQuery event callbacks where the propaganation is
stopped to avoid the collapse/ expand.

History

#1 - 2012-07-08 17:02 - Steffen Ritter
- Parent task changed from #36052 to #38755

#2 - 2013-01-13 19:07 - Helmut Hummel
- Target version changed from 6.0.0-alpha3 to 6.0.1

#3 - 2015-01-13 13:58 - Mathias Schreiber

- Target version changed from 6.0.1 to 7.4 (Backend)
- Is Regression set to No
